Subject: MD Dept of Ag Open House 18 March 1995

From: [email-masked] (Gerard Worrell)
Date: 16 Feb 1995 00:04:26 GMT

Summary: 
Keywords: 

The Maryland Dept of Agriculture is holding their 7th Annual Open House 
on 18 March at it's Headquarters, 50 Harry S.Truman Parkway Annapolis,MD. 
from 9 AM to 3 PM. Free gifts for the first 300 visitors. Food tastings, 
demonstrations,exhibits, computer arcade, aquaculture fish tank,lab 
tours, face painting, petting zoo, hog calling contest. National Honey 
Queen also is supposed to be present. Honey recipes will be available 
too! Learn about egg candling, wool spinnig, Maryland wines. Sale tables 
will include honey, homemade and gourmet foods, flowers, bedding plants 
and handcrafts. It's an event for the whole family. Please distribute 
this post widely if you are in commuting distance of Annapolis MD!

Jerry Worrell, Maryland State Beekeepers Association